# Kylin file protection box
## Overview
Box Manager is developed by Kylin security team with a simple interface, and it aims to provide users with convenient and safe personal file protection.

![Fig 1 Kylin file protection box-big](image/1.png)

Kylin file protection box realizes the security protection of user's private data through the combination of isolation and hiding and encryption protection. The protection boxes created by different users are located in / home / [user name] / box / [box name]. Users can access the box directory by double clicking the corresponding icon in the Kirin file protection box management tool interface. The operation method of files and directories in the protection box is the same as that of ordinary files and directories, which can be carried out through the terminal command line or file manager.
<br>

## Views Switching
After the Kylin file protection box software is opened, the home interface supports displaying the protection box directory in icon and list view. In the icon view, the path will be displayed when the cursor hovers over the box; in the list view, the detailed information of the box will be displayed. Click the icon in the lower right corner of the main interface ![](image/icon1.png) / ![](image/icon2.png) to switch.

![Fig 2 Icon View-big](image/2.png)

![图 3 List View-big](image/3.png)
<br>

## Create Protective Box
Click the "New" button, and then enter the "New" password. If you need to create an unencrypted protection box, you can cancel it by pressing the encrypt button.

![Fig 4 Create Protective Box-big](image/4.png)

The Kylin file protection box has the following characteristics:

- New protection box, you can choose to encrypt or not encrypt.

- When the newly created box is encrypted, it is only visible to users, but not to other users.

- The unlocked box can't be deleted or renamed, and the password can't be set. If you need to change the above operation, you need to lock the box first.

- The password cannot be set for the unencrypted box. If you need to change the above operation, you need to create a new password first.

Different icons indicate different states of the box directory:

| Icon | Explain |
|:-----|:-----|
|![](image/icon3.png)| lock |
|![](image/icon4.png)| unlock |
|![](image/icon5.png)| unencrypted(isolate hide only) |

<br>

## Delete Protective Box
Select the no longer needed box directory and click the "Delete" button. When the protection box is not encrypted, it can be deleted directly. If it is encrypted, you need to verify the password in the warning pop-up window to complete the relevant operation.

![Fig 5 Delete Protective Box](image/5.png)
<br>

## Rename the Protective Box
Right click the box directory that needs to be renamed, and select "Rename" in the right-click menu. The unencrypted protection box can be renamed by entering a new name in the rename pop-up window. The encrypted protection box also needs to enter a password for password verification.

![Fig 6 Rename Unencrypted Protective Box-big](image/6.png)

![图 7 Rename Encrypted Protective Box-big](image/7.png)
<br>

## Password Setting
Right click the box where the password needs to be set, click "Password setting", enter the current password and new password in the new pop-up window and confirm to complete the password modification operation.

![Fig 8 Password Setting-big](image/8.png)
